/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy, OnInit, ElementRef, NgZone, TemplateRef, AfterViewInit } from '@angular/core';
import { DragResizeService } from './drag-resize.service';
import * as i0 from "@angular/core";
export declare class WindowTitleBarComponent implements OnInit, AfterViewInit, OnDestroy {
    el: ElementRef;
    private ngZone;
    /**
     * @hidden
     */
    template: TemplateRef<any>;
    /**
     * @hidden
     */
    id: string;
    /**
     * @hidden
     */
    service: DragResizeService;
    private dragDirective;
    private dragSubscription;
    private stateSubscription;
    constructor(el: ElementRef, service: DragResizeService, ngZone: NgZone);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * @hidden
     */
    subscribeDrag(): void;
    /**
     * @hidden
     */
    subscribeStateChange(): void;
    /**
     * @hidden
     */
    unsubscribeDrag(): void;
    /**
     * @hidden
     */
    unsubscribeState(): void;
    get className(): true;
    get touchAction(): string;
    /**
     * @hidden
     */
    handle(ev: any): void;
    protected get isDraggable(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WindowTitleBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WindowTitleBarComponent, "kendo-window-titlebar", never, { "template": { "alias": "template"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, {}, never, ["*"], true, never>;
}
